Bug 106098 - Cannot open html files in freeform projects with no encoding
Cannot open html files in freeform projects with no encoding
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: J Bachorik
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 09:33 UTC by Jiri Skrivanek
Modified: 2009-05-18 10:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack trace. (1.61 KB, text/plain)
2007-06-08 09:33 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2007-06-08 09:33:16 UTC
It is not possible to open html files in freeform projects with <No Encoding>.
It shows message "The document newhtml.html could not be loaded." and throws
NullPointerException. To reproduce:

- open existing freeform project (or create a new one)
- create new HTML file and it fails

Build 200706080634.
Comment 1 Jiri Skrivanek 2007-06-08 09:33:50 UTC
Created attachment 43432 [details]
Stack trace.
Comment 2 J Bachorik 2007-06-08 11:14:01 UTC
fixed. the default encoding is now set correctly even if the owning project
doesn't define its encoding.

Checking in HtmlDataObject.java;
/cvs/html/src/org/netbeans/modules/html/HtmlDataObject.java,v  <-- 
HtmlDataObject.java
new revision: 1.26; previous revision: 1.25
done
Comment 3 Jiri Skrivanek 2007-06-11 10:36:52 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo